Функции exif_imagetype() и cot_print()

Автор Сообщение

delfinn

Игорь
#1/01.01.2017 16:51
0

Пользователи

Карма: +1

Здарвствуйте, уважаемые разработчики! Всех с Новым Годом и наступающим Рождеством!!!

При экспериментах с Котонти у меня, как у неопытного юзера, возникла пара вопросов по определенным функциям.

1. Функция exif_imagetype() не поддерживается на локальном сервере Denwer 3 (PHP 5.3.13), хотя на php.net указаны версии PHP 4 >= 4.3.0, PHP 5, PHP 7.

Вызывается в плагине Mavatars v3.1 при загрузке файла через форму:

×Shot002.jpg: 
Fatal error: Call to undefined function exif_imagetype() in 
P:\home\test.df\www\plugins\mavatars\inc\mavatars.class.php on line 583

 

2. Как правильно исправить вывод функцией cot_print() русских символов. Сейчас пишет кракозябры.

 

Возможно кто-то сталкивался. Буду благодарен за любые подсказки.

Сообщения: 6

CrazyFreeMan

Ярослав
#2/02.01.2017 13:41
0

Модераторы

Карма: +317

Удалить денвер и больше не вспоминать. 

В следующих упоминаниях об этом недосервере ответов не получите. 

С Новым Годом! :) 

Сообщения: 1248

Cmsworks

Булат
#3/02.01.2017 21:17
0

Администраторы

Карма: +683

Чем тебе Денвер не угодил? В свое время отличное и простое решение было, тоже пользовался пока не перешел на mac. 

По существу вопроса: Нужно установить php-расширение exif или включить его в настройках php.ini.

Сообщения: 2416

Опытный веб-разработчик, фрилансер.
Разрабатываю сайты любой сложности на профессиональных фреймворках.

------

Почта для связи: developer@cmsworks.ru

CrazyFreeMan

Ярослав
#4/02.01.2017 22:21
0

Модераторы

Карма: +317

Денвер устаревшая и багнутая вещь, до 2009-2010 был норм и сам юзал но сейчас это динозавр инвалид с ним больше проблем чем пользы (почитать на форумах вопросы от новичков) 

И кажется версия для котонти  5.3.29 получше  

Сообщения: 1248

delfinn

Игорь
#5/05.01.2017 21:23
0

Пользователи

Карма: +1

Булат, пробовал добавлять exif-библиотеку в Дэнвер, не схватилось почему-то.

Решил установкой XAMPP. На wampserver, кстати, при установке даже чистой сборки много непонятных ошибок, связанных с запросами к БД было. 

Сообщения: 6

kriptograff

Роман
#6/06.01.2017 06:36
0

Пользователи

Карма: +11

не для рекламы, но версию 2.7.0 фриланс-биржи ставил без проблем на локалке "Open Server "

никаких ошибок! сразу выставить в настройках (модули) версию PHP 5.5 как минимум

Сообщения: 36